package com.community.huiju.common.perproties;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 微信信息
 */
@Component
@ConfigurationProperties(prefix = "weixin")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class WeiXinPerproties {

    private String appid;

    private String secret;

}
