package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;

import java.math.BigDecimal;
import java.util.Map;

public interface AliMPUserServiceI {
	ResponseBean getTemporaryData(String code, String appId, String secret, Integer communityId);
	
	ResponseBean getRecordsByOpenid(String openid, Integer communityId);
	
	/**
	 * 临时车下单
	 *
	 * @param carNo
	 * @param actualAmount
	 * @param communityId
	 * @param price
	 * @return
	 */
	String aliTmpOrder(String carNo, String actualAmount, Integer communityId, String openid, BigDecimal price);
	
	/**
	 * 更新订单状态
	 * @param out_trade_no
	 * @return
	 */
	String updateTmpOrder(String out_trade_no);
	
	/**
	 * 根据订单号获取交易信息
	 * @param out_trade_no
	 * @return
	 */
	Map<String, Object> selectByOrderNumber(String out_trade_no);
}
