package com.community.huiju.base.api.fushi;

/**
 * 富士 API 链接定义
 * @author weiximei
 */
public class FushiConstant {

    /**
     * 获取停车信息（通过车牌号）
     */
    public static final String PARK_GETPARKINFOBYCARNO = "/Park/GetParkInfoByCarNo";

    /**
     * 第三方月卡上发续费
     */
    public static final String CALCULATIONCOST_APITHIRDPARTYMONTHCARDPAY = "/CalculationCost/ApiThirdPartyMonthCardPay";

    /**
     * 第三方临时车上发缴费
     */
    public static final String CALCULATIONCOST_APITHIRDPARTYTEMPORARYCARDPAY = "/CalculationCost/ApiThirdPartyTemporaryCardPay";

    /**
     * 获取线下算费结果
     */
    public static final String CALCULATIONCOST_APIGETOFFLINEFEE = "/CalculationCost/ApiGetOfflineFee";

    /**
     * 获取月租车信息（通过车牌号）
     */
    public static final String PARK_GETMONTHCARDINFOBYCARNO = "/Park/GetMonthCardInfoByCarNo";

    /**
     * 获取临时车信息（通过车牌号）
     */
    public static final String PARK_GETTEMPCARPAYMENTINFOBYCARNO = "/Park/GetTempCarPaymentInfoByCarNo";

}
